"use strict";
const common_libraries_apiLoading = require("../../../common/libraries/apiLoading.js");
const gen_Apis = require("../../../gen/Apis.js");
const BILL_record_urge_payment_model = require("./model.js");
const getHouseCollectionRecords = () => {
  var _a, _b;
  common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.Collection.HouseCollectionRecords.List, (_b = (_a = BILL_record_urge_payment_model.useModel) == null ? void 0 : _a.formData) == null ? void 0 : _b.value).then(
    (res) => {
      BILL_record_urge_payment_model.useModel.listData.value = [...BILL_record_urge_payment_model.useModel.listData.value, ...res == null ? void 0 : res.data];
      BILL_record_urge_payment_model.useModel.metaData.value = res == null ? void 0 : res.meta;
    }
  );
};
const method = {
  getHouseCollectionRecords,
  loadMore(page) {
    BILL_record_urge_payment_model.useModel.formData.value.page = page;
    getHouseCollectionRecords();
  }
};
exports.method = method;
